<div class="d-sm-flex align-items-center justify-content-between mb-4">
  <h1 class="h3 mb-0 text-gray-800">Create New Room</h1>
</div>
<div class="row">
  <div class="col">

    <form [formGroup]="roomCreateForm" (ngSubmit)="onSubmit()">
      <div class="form-group">
        <label for="selectTeam">Team</label>
        <select class="form-control" id="selectTeam" formControlName="teamId">
          <option *ngFor="let team of teams$ | async" [value]="team.id">{{ team.name }}</option>
        </select>
        <small>Select for which team the room should be created!</small>
      </div>
      <div class="form-group">
        <label for="inputNumber">Number</label>
        <input type="text" class="form-control" id="inputNumber" formControlName="number">
      </div>
      <div class="form-group">
        <label for="inputFloor">Floor</label>
        <input type="text" class="form-control" id="inputFloor" formControlName="floorName">
      </div>
      <div class="form-group">
        <label for="inputBuilding">Building</label>
        <input type="text" class="form-control" id="inputBuilding" formControlName="building">
      </div>
      <div class="form-group">
        <label for="inputAllowedVisitors">Allowed Visitors</label>
        <input type="number" class="form-control" id="inputAllowedVisitors" formControlName="allowedVisitors">
      </div>
      <button type="submit" class="btn btn-primary" [disabled]="!roomCreateForm.valid">Create</button>
    </form>

  </div>
</div>
